include <Lampe_Parameter.scad>;
include <Lampe_2DFormen.scad>;

spacing = 1;

translate([0, 0]) top_outer_plate();
translate([lamp_dia+spacing, 0]) top_inner_plate();
translate([2*(lamp_dia+spacing), 0]) bottom_inner_plate();
translate([0, lamp_dia+spacing]) bottom_outer_plate();
translate([1*(lamp_dia+spacing), lamp_dia+spacing]) base_plate();

ledstrip_holder_base_pos = [
	inner_height/2 + tooth_height - lamp_dia/2,
	1.5*lamp_dia + spacing - holder_width/2];


for(i = [1:8]) {
	translate(ledstrip_holder_base_pos + [0, i*(spacing + holder_width)])
		rotate(90) ledstrip_holder();
}

translate([230, 30])
rotate(0)
for(x = [1:1]) {
	for(y = [1:8]) {
		translate([x*(spacing+bottom_box_height+tooth_height*2), y*(spacing + bottom_box_wall_width)])
			rotate(90) box_wall();
	}
}
